/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#ifndef MSMS_TEST_HH
#define MSMS_TEST_HH

//LIBSURFACE
#include <surface.hh>

#ifdef HAVE_CONFIG
#  include <config.h>
#endif

#include <boost/test/unit_test_suite.hpp>
#include "templates.hh"

struct msms_test
{
	msms_test();
		 
	~msms_test();
													 
	void test_input();
	void test_entity_output();
	void test_view_output();
		 
	Surface::SurfaceEntity  dodecaeder;
	Surface::SurfaceEntity* surface;
};
	 
struct msms_test_suite : public boost::unit_test_framework::test_suite 
{
	msms_test_suite();
};
	  
#endif //MSMS_TEST_HH
