/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

/**
 * \file dlloader.hh
 *
 * Author : Christian Hofbauer (chofbaue@qspr03.tuwien.ac.at)\n
 * started at 11 Jul 2004, last CVS commit 2004/07/11 10:36:26
 */

#ifndef DLLOADER_HH
#define DLLOADER_HH

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifdef HAVE_STD
#  include <list>
#else
#  include <list.h>
#endif

#include <string>

#include <common.hh>

const int LIBERROR = 9001;

class DLLoader 
{
public:

  DLLoader(const std::string& key);
  ~DLLoader();  

private:
  list<void*> handles_;
};


#endif // DLLOADER_HH
