Summary: molecular surface comparison library
Name: libsurfcomp
Version: 1.0.0
Release: 1
License: GPL
Group: Development/Libraries
Source0: $RPM_BUILD_DIR/%{name}-%{version}.tar.gz
Requires: xmlutils >= 1 
Requires: trimesh >= 1 
Requires: bestrot >= 1
BuildRoot: %{_builddir}/%{name}-%{version}-%{release}-root

%define soversion 1.0.0

%description 
This library provides the backstage classes for the molecular surface
comparison program SURFCOMP

%package doc
Summary: The libsurfcomp 1.0.0 documentation
Group: Development/Libraries
%description doc
This library provides the backstage classes for the molecular surface
comparison program SURFCOMP

This package includes the documentation files

%package devel
Summary: The libsurfcomp 1.0.0 development files
Group: Development/Libraries
%description devel
This library provides the backstage classes for the molecular surface
comparison program SURFCOMP

This package includes the library headers for development of trimesh
applications

%prep
%setup -q

%build
%ifarch %ix86
CXXFLAGSADD=""
%else
CXXFLAGSADD="-m64"
%endif
./configure CXXFLAGS="-O2 -w $CXXFLAGSADD" --prefix=/usr --libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%_libdir/libsurfcomp.a  
%_libdir/libsurfcomp.la  
%_libdir/libsurfcomp.so.%{soversion}
%doc README
%doc ChangeLog

%post
ln -s %_libdir/libsurfcomp.so.%{soversion} %_libdir/libsurfcomp.so.1.0
ln -s %_libdir/libsurfcomp.so.%{soversion} %_libdir/libsurfcomp.so.1
ln -s %_libdir/libsurfcomp.so.%{soversion} %_libdir/libsurfcomp.so
ldconfig

%postun
rm %_libdir/libsurfcomp.so
rm %_libdir/libsurfcomp.so.1
rm %_libdir/libsurfcomp.so.1.0

%files doc
%defattr(-,root,root,-)
%doc /usr/share/doc/%{name}

%files devel
%defattr(-,root,root,-)
/usr/include/surfacecomp
 
%changelog
* Thu Jun 14 2004 Christian Hofbauer <chofbaue@qspr03.tuwien.ac.at> - 1.0.0
- Initial build.


