.TH "surfinfo" 3 "6 Jul 2004" "Version 1.0" "surfcomp" \" -*- nroff -*-
.SH NAME 
convert \- surface file format conversion

.SH SYNOPSIS 
.BI "surfinfo [ -h -d ] [ -i" " <INFILE>" "] [ -f " "<FILEFORMAT> " "] "
.I  <INFORMATION>

.SH DESCRIPTION
.B surfinfo
provides the user with various information about the given molecular
surface. The information is printed as a plain value on the std output so that
it can be used by scripts and other program.

.SH OPTIONS
.IP -h
print a short help message
.IP -d
turn on the doublett checking and remove all duplicated points.
.IP -i
the name of the input file. (if not specified stdin is used as input)
.IP -f
the file format of the input
.PP

The options have to be followed by one or more information tags from the
following list:
.TP
.B points
the number of points on the surface
.TP
.B triangles
the number of triangles on the surface
.TP
.B edges
the number of edges on the surface
.TP
.B area
the surface area in square Angs.

.SH DIAGNOSTICS
The
.B surfinfo
program uses the following exit codes:
.TP 
.B 0
everything went just fine
.TP 
.B 1
wrong command line parameter specification
.TP
.B 2
the program detected problems during the file input. These can either be caused
by a misspelled filename or by the fact that the input is not formatted in the
input format.
.TP
.B 3
an unknown input tag was specified.

.SH AUTHOR
Christian Hofbauer <christian.hofbauer@pharma.novartis.com>
