Summary: SURFCOMP - control package
Name: surfcomp-control
Version: 1.0.0
Release: 1
License: GPL
Group: Application/Scientific
Requires: perl, perl-DBI
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_builddir}/%{name}-%{version}-%{release}-root

%description 
The surfcomp-control package contains important scripts and
functions which are necessary to prepare the files for a surfcomp experiment.

%prep
%setup -q

%build
%ifarch %ix86
CXXFLAGSADD=""
%else
CXXFLAGSADD="-m64"
%endif
./configure CXXFLAGS="-O2 -w $CXXFLAGSADD" \
            --prefix=/usr --bindir=%{_bindir} --mandir=%{_mandir} --libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm $RPM_BUILD_ROOT/usr/share/doc/%{name}/*.html

%clean
rm -rf $RPM_BUILD_ROOT

%files -f userdocs.files
%defattr(-,root,root,-)

%{_bindir}/surfaceconvert
%{_bindir}/surfinfo
%{_bindir}/preparesurfcomp
%{_bindir}/msmsprepare
%{_bindir}/sldtool

/usr/share/%{name}/dbdefinition.sql
/usr/share/%{name}/run.csh.in
/usr/share/%{name}/run.sh.in
/usr/share/%{name}/sybyl

%doc README
%doc ChangeLog

%changelog
* Thu Jun 14 2004 Christian Hofbauer <chofbaue@qspr03.tuwien.ac.at> - 1.0.0
- Initial build.


