Summary: trimesh scientific library
Name: trimesh
Version: 1.0.0
Release: 1
License: GPL
Group: Development/Libraries
Source0: $RPM_BUILD_DIR/%{name}-%{version}.tar.gz
BuildRoot: %{_builddir}/%{name}-%{version}-%{release}-root

%define soversion 1.0.0

%description 
The trimesh library provides classes and algorithms for surface handling and
comparison.

%package doc
Summary: The trimesh 1.0.0 documentation
Group: Development/Libraries
%description doc
The trimesh library provides classes and algorithms for surface handling and
comparison.

This package includes the documentation files

%package devel
Summary: The trimesh 1.0.0 development files
Group: Development/Libraries
%description devel
The trimesh library provides classes and algorithms for surface handling and
comparison.

This package includes the library headers for development of trimesh
applications

%prep
%setup -q

%build
%ifarch %ix86
CXXFLAGSADD=""
LIBDIRADD=""
%else
CXXFLAGSADD="-m64"
LIBDIRADD="--libdir=%{_libdir}"
%endif
./configure CXXFLAGS="-O2 -w $CXXFLAGSADD" --prefix=/usr $LIBDIRADD
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%_libdir/libtrimesh.a  
%_libdir/libtrimesh.la  
%_libdir/libtrimesh.so.%{soversion}
%doc README
%doc ChangeLog

%post
ln -s %_libdir/libtrimesh.so.%{soversion} %_libdir/libtrimesh.so.1.0
ln -s %_libdir/libtrimesh.so.%{soversion} %_libdir/libtrimesh.so.1
ln -s %_libdir/libtrimesh.so.%{soversion} %_libdir/libtrimesh.so
ldconfig

%postun
rm %_libdir/libtrimesh.so
rm %_libdir/libtrimesh.so.1
rm %_libdir/libtrimesh.so.1.0

%files doc
%defattr(-,root,root,-)
%doc /usr/share/doc/%{name}

%files devel
%defattr(-,root,root,-)
/usr/include/%{name}
 
%changelog
* Thu Jun 14 2004 Christian Hofbauer <chofbaue@qspr03.tuwien.ac.at> - 1.0.0
- Initial build.


