/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#ifndef READER_TEST_HH
#define READER_TEST_HH

#ifdef HAVE_CONFIG
#  include <config.h>
#endif

#include <boost/test/unit_test_suite.hpp>

class XMLConvenientReader;

struct reader_test
{
	void test_reading_file();
	void test_reading_stream();
	void test_reading_url();
	void test_reading(XMLConvenientReader& reader);
};
	 
struct reader_test_suite : public boost::unit_test_framework::test_suite 
{
	reader_test_suite();
};
	  
#endif //READER_TEST_HH
