/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

/**
 * \file utils.hh
 *
 * Author : Christian Hofbauer (chofbaue@qspr03.tuwien.ac.at)\n
 * started at 18 Jun 2004, last CVS commit 2004/06/18 12:18:07
 */

#ifndef UTILS_HH
#define UTILS_HH

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifdef HAVE_STD
#else
#endif

#include <xercesns.hh>

XERCES_FORWARD(DOMNode);
XERCES_FORWARD(DOMDocument);

void test_nodes(const XERCESNS DOMNode* const a, const XERCESNS DOMNode* const b,
                bool verbose = false);


#endif // UTILS_HH
