/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#ifndef XMLUTILS_TEST_HH
#define XMLUTILS_TEST_HH

#ifdef HAVE_CONFIG
#  include <config.h>
#endif

#include <string>
#include <boost/test/unit_test_suite.hpp>

struct xmlutils_test
{
	void test_collapsenodes();
	void test_ignorewpnodes();
  void test_findelement();
};
	 
struct xmlutils_test_suite : public boost::unit_test_framework::test_suite 
{
	xmlutils_test_suite();
};
	  
#endif //XMLUTILS_TEST_HH
