Summary: Bestialic rotation library
Name: bestrot
Version: 1.0.0
Release: 1
License: GPL
Group: Development/Libraries
Source0: $RPM_BUILD_DIR/%{name}-%{version}.tar.gz
BuildRoot: %{_builddir}/%{name}-%{version}-%{release}-root

%define soversion 1.0.0

%description 
The bestialic rotation is an implementation of McLachlan's rigid body fit
method in C.


%package doc
Summary: The bestialic rotation 1.0.0 documentation
Group: Development/Libraries
%description doc
The bestialic rotation is an implementation of McLachlan's rigid body fit
method in C.

This package includes the documentation files

%package devel
Summary: The bestialic rotation 1.0.0 development files
Group: Development/Libraries
%description devel
The bestialic rotation is an implementation of McLachlan's rigid body fit
method in C.

This package includes the library headers for development of bestrot
applications

%prep
%setup -q

%build
%ifarch %ix86
CFLAGSADD=""
%else
CFLAGSADD="-m64"
%endif
./configure CFLAGS="-O2 -w $CFLAGSADD" --prefix=/usr --libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%_libdir/libbestrot.a  
%_libdir/libbestrot.la  
%_libdir/libbestrot.so.%{soversion}
%doc README
%doc ChangeLog

%post
ln -s %_libdir/libbestrot.so.%{soversion} %_libdir/libbestrot.so.1.0
ln -s %_libdir/libbestrot.so.%{soversion} %_libdir/libbestrot.so.1
ln -s %_libdir/libbestrot.so.%{soversion} %_libdir/libbestrot.so
ldconfig

%postun
rm %_libdir/libbestrot.so
rm %_libdir/libbestrot.so.1
rm %_libdir/libbestrot.so.1.0

%files doc
%defattr(-,root,root,-)
%doc /usr/share/doc/bestrot

%files devel
%defattr(-,root,root,-)
/usr/include/bestrot
 
%changelog
* Thu Jun 14 2004 Christian Hofbauer <chofbaue@qspr03.tuwien.ac.at> - 1.0.0-1.0.0
- Initial build.


