/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

/**
 * \file surfacens.hh
 *
 * Author : Christian Hofbauer (chofbaue@qspr03.tuwien.ac.at)\n
 * started at 30 Jun 2004, last CVS commit 2004/06/30 08:21:06
 */

#ifndef SURFACENS_HH
#define SURFACENS_HH

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifdef HAVE_STD
#else
#endif


#ifdef HAVE_NAMESPACES
#  define SURFACENS       Surface::
#  define SURFACENS_USE   using namespace Surface;
#  define SURFACENS_BEGIN namespace Surface {
#  define SURFACENS_END   };
#  define SURFACE_FORWARD(classname) SURFACENS_BEGIN class classname; SURFACENS_END 
#else
#  define SURFACENS      
#  define SURFACENS_USE  
#  define SURFACENS_BEGIN
#  define SURFACENS_END  
#  define XERCES_FORWARD(classname) class classname; 
#endif


#endif // SURFACENS_HH
