/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#ifndef SLD_TEST_HH
#define SLD_TEST_HH

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <boost/test/unit_test_suite.hpp>

#include <surface.hh>
#include <sldio.hh>

struct sld_test
{
	sld_test();
	~sld_test();

	void test_input();
	void test_entity_output();
	void test_view_output();
	void test_wrongformat();

	Surface::SLDIO sldio;
		 
	Surface::SurfaceEntity  dodecaeder;
	Surface::SurfaceEntity* surface;
};
	 
struct sld_test_suite : public boost::unit_test_framework::test_suite 
{
	sld_test_suite();
};
	  
#endif //SLD_TEST_HH
