/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#ifndef TEMPLATES_HH
#define TEMPLATES_HH

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifdef HAVE_STD
#else
#endif

#include <surface.hh>

extern double dodek_points[20][3];
extern double dodek_normals[20][3];
extern int dodek_connections[36][3];
extern double dodek_onsurfacedists[20];

extern int dodek_edges;

void makeDodekaeder(Surface::SurfaceEntity& surface, 
										Surface::facetype_t facetype = Surface::ftContact,
										int facenum = 0);

const char DELIMITER[] = 
" ******************************************************************************* ";

#endif // TEMPLATES_HH
