/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#ifndef SINGLELINK_TEMPL_CC
#define SINGLELINK_TEMPL_CC

//*******************************************************************************
template<class Ix>
MergeNode<Ix>::MergeNode(MergeNode* left, MergeNode* right, 
										 Ix merged)
//*******************************************************************************
{
	init(left, right, merged);
}

//*******************************************************************************
template<class Ix>
MergeNode<Ix>::~MergeNode()
//*******************************************************************************
{
	if (pLeft) delete pLeft;
	if (pRight) delete pRight;
}
	
//*******************************************************************************
template<class Ix>
void MergeNode<Ix>::init(MergeNode* left, MergeNode* right, Ix merged)
//*******************************************************************************
{
	pLeft = left;
	pRight = right;
	pMerged = merged;
}

#endif //SINGLELINK_TEMPL_CC
