AC_DEFUN([AC_PROG_DOXYGEN],[
AC_REQUIRE([AC_EXEEXT])

AC_PATH_PROG(DOXYGEN, doxygen$EXEEXT, echo)
if test "$DOXYGEN" = echo; then
  AC_MSG_WARN([doxygen could not be found! Without doxygen you cannot generate the API documentation!])
fi;

AM_CONDITIONAL([CREATE_APIDOC], [test x$DOXYGEN != xecho])
AC_SUBST(DOXYGEN)

])

AC_DEFUN([AC_PROG_POD2HTML],[
AC_REQUIRE([AC_EXEEXT])

AC_PATH_PROG(POD2HTML, pod2html$EXEEXT, echo)
if test "$POD2HTML" = echo; then
  AC_MSG_WARN([podhtml could not be found! Without pod2html you cannot generate html versions of the user documentation!])
fi;

AM_CONDITIONAL([CREATE_USERHTML], [test x$POD2HTML != xecho])
AC_SUBST(POD2HTML)

])

AC_DEFUN([AC_PROG_POD2MAN],[
AC_REQUIRE([AC_EXEEXT])

AC_PATH_PROG(POD2MAN, pod2man$EXEEXT, echo)
if test "$POD2MAN" = echo; then
  AC_MSG_WARN([podman could not be found! Without pod2man you cannot generate man versions of the user documentation!])
fi;

AM_CONDITIONAL([CREATE_USERMAN], [test x$POD2MAN != xecho])
AC_SUBST(POD2MAN)

])

AC_DEFUN([AC_PROG_GROFF],[
AC_REQUIRE([AC_EXEEXT])

AC_PATH_PROG(GROFF, groff$EXEEXT, echo)
if test "$GROFF" = echo; then
  AC_MSG_WARN([groff could not be found! Without pod2man you cannot generate html versions of the man pages!])
fi;

AM_CONDITIONAL([CREATE_GROFFHTML], [test x$GROFF != xecho])
AC_SUBST(GROFF)

])
