Summary: SURFCOMP molecular surface comparison
Name: surfcomp
Version: 1.0.0
Release: 1
License: GPL
Group: Application/Scientific
Requires: libsurface >= 1
Source0: $RPM_BUILD_DIR/%{name}-%{version}.tar.gz
BuildRoot: %{_builddir}/%{name}-%{version}-%{release}-root

%description 
The SURFCOMP program compares pairs of molecular surfaces and provides
information about their common surface patches. It uses a filter based approach
that has been described in:

C. Hofbauer, H. Lohninger, A. Aszodi
SURFCOMP: A Novel Graph-Based Approach to Molecular Surface Comparison
J. Chem. Inf. Comp. Sci, 44:3, 837-847, 2004

%package doc
Summary: The surfcomp 1.0.0 class documentation
Group: Documentation/other
%description doc
The SURFCOMP program compares pairs of molecular surfaces and provides
information about their common surface patches. It uses a filter based approach
that has been described in:

This package includes the class documentation files

%prep
%setup -q

%build

%ifarch %ix86
CXXFLAGSADD=""
%else
CXXFLAGSADD="-m64"
%endif
./configure CXXFLAGS="-O2 -w $CXXFLAGSADD" \
            --prefix=/usr --bindir=%{_bindir} --mandir=%{_mandir} --libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files -f userdocs.files
%defattr(-,root,root,-)
%{_bindir}/surfcomp

%{_mandir}/man1/surfcomp.1*

%doc README
%doc ChangeLog

%files doc
%defattr(-,root,root,-)
%doc /usr/share/doc/%{name}

%changelog
* Thu Jun 14 2004 Christian Hofbauer <chofbaue@qspr03.tuwien.ac.at> - 1.0.0
- Initial build.


