/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#ifndef CONVERSION_TEST_HH
#define CONVERSION_TEST_HH

#ifdef HAVE_CONFIG
#  include <config.h>
#endif

#include <boost/test/unit_test_suite.hpp>

struct conversion_test
{
	void test_conversion();
	void test_numeric();
  void test_collapse();
};
	 
struct conversion_test_suite : public boost::unit_test_framework::test_suite 
{
	conversion_test_suite();
};
	  
#endif //CONVERSION_TEST_HH
